# Smart Locker 

01204322 Embedded Systems


## Project Developers / ผู้พัฒนาโครงงาน
- Anawin Wongsadit (อนาวิล วงศ์สดิษฐ์)   
- Chanon Panomratanarak (ชานน พนมรัตนรักษ์)   
- Tanakorn Prangsriarun (ธนากร ปรางค์ศรีอรุณ)   
- Channachot Boonkeaw (ฌานณโชตน์ บุญเขียว)   

Department of Computer Engineering, Faculty of Engineering, Kasetsart University   
ภาควิชาวิศวกรรมคอมพิวเตอร์ คณะวิศวกรรมศาสตร์ มหาวิทยาลัยเกษตรศาสตร์   

## Directory Structure / โครงสร้างไดเรกทอรี
```
schematics/       -- Fritzing documents and parts  
                  -- เอกสาร Fritzing พร้อมชิ้นส่วนที่ใช้
locker-center.py  -- MicroPython ESP32 script for Center Unit / Control Panel
                  -- สคริปต์ MicroPython ESP32 สำหรับตู้ศูนย์กลาง / แผงควบคุม
locker-unit.py    -- MicroPython ESP32 script for Locker Unit   
                  -- สคริปต์ MicroPython ESP32 สำหรับตู้ล็อกเกอร์
```
## Libraries / ไลบรารี
- MicroPython 1.12 (CPE KU)
- ESP-Now
- [Kenji Arai / Keypad](https://os.mbed.com/users/kenjiArai/code/Keypad/) for Mbed, ported to MicroPython ESP32 by Anawin W.

## Hardware Parts / ชิ้นส่วนฮาร์ดแวร์
- 4 x NodeMCU32-S
- 4 x 4-pin White I2C OLED 128x64 (SSD1306)
- 3 x MG90S Micro Servo
- 3 x Passive Buzzer Speaker 3-5V
- 3 x 2-color LED Module - Green & Red 10mm
- 3 x Membrane Keypad Switch 1x4
- 1 x Membrane Keypad Matrix Switch 4x3
